/*!
Theme Name: Spectra Template Child
Author: Wineworks
Author URI: http://wineworks.co
GitHub Theme URI: https://github.com/wineworks/wp-spectratheme
Description: Custom child theme developed by Wine Works to be used with Commerce7 & WordPress
Template: wp-spectratheme
Version: 1.1.2.13
License: GNU General Public License v2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
Text Domain: Spectra Child
*/
@import url("https://use.typekit.net/dfb2buc.css");
:root {
  --green: #0C3802;
  --black: #000000;
  --white: #ffffff;
  --green2: #006837;
  --gold: #FAA634;
  --lightgreen: #CFE889;
  --c7-primary-button-text-color: #000;
  --c7-primary-button-bg: var(--gold);
  --c7-primary-button-bg-hover: var( --lightgreen);
  --c7-button-border-radius: 0;
  --c7-link-color: var(--green2);
  --c7-heading-text-color: var(--black);
  --c7-font-family: "forma-djr-text", sans-serif;
  --c7-heading-font-family: "richmond-display", sans-serif;
  --c7-cart-count-bg: var( --gold);
  --c7-cart-count-text-color: var( --black);
}

/* WP/C7 customization starts here
-------------------------------------------------------------- */
body, p {
  font-family: var(--c7-font-family);
  font-weight: 500;
  color: var(--black);
}

h1, h2, h3, .blog-page > h2, h4, h5, h6, .h1, .h2, .h3, .h4, .h5, .h6 {
  font-family: var(--c7-heading-font-family);
  font-weight: 600;
  color: var(--black);
}

h1, .h1 {
  font-size: clamp(1.75rem, 1.6538rem + 0.3077vw, 2rem);
}

h2, .h2 {
  font-size: clamp(1.5rem, 1.4038rem + 0.3077vw, 1.75rem);
}

h3, .h3 {
  font-size: clamp(1.25rem, 1.1538rem + 0.3077vw, 1.5rem);
}

h4, .h4 {
  font-size: clamp(1.125rem, 1.0288rem + 0.3077vw, 1.375rem);
}

h5, .h5, h6, .h6 {
  font-size: clamp(1rem, 0.9519rem + 0.1538vw, 1.125rem);
}

a {
  color: var(--green2);
  text-underline-offset: 5px;
  text-decoration: underline;
}
a:hover, a:active, a:focus {
  opacity: 0.8;
}

.button, .c7-btn {
  background: var(--gold);
  border: 1px solid var(--black);
  color: var(--black);
  text-transform: uppercase;
  letter-spacing: 1px;
  box-shadow: 2px 2px 8px rgba(0, 0, 0, 0.5);
}
.button:hover, .button:active, .button:focus, .c7-btn:hover, .c7-btn:active, .c7-btn:focus {
  background-color: var(--lightgreen);
  opacity: 1;
}
.c7-btn--primary:not([disabled]):active, .c7-btn--primary:not([disabled]):focus, .c7-btn--primary:not([disabled]):hover {
  background-color: var(--lightgreen);
  opacity: 1;
}
.c7-btn--alt:not([disabled]):active, .c7-btn--alt:not([disabled]):focus, .c7-btn--alt:not([disabled]):hover {
  background-color: var(--lightgreen);
  opacity: 1;
}

.commerce7-v2 .c7t-banner__content .button {
  background: var(--gold);
  border: 1px solid var(--black);
  color: var(--black);
  text-transform: uppercase;
  letter-spacing: 1px;
  box-shadow: 2px 2px 8px rgba(0, 0, 0, 0.5);
}
.commerce7-v2 .c7t-banner__content .button:hover, .commerce7-v2 .c7t-banner__content .button:active, .commerce7-v2 .c7t-banner__content .button:focus {
  background-color: var(--lightgreen);
  opacity: 1;
}
.commerce7-v2 .c7t-banner__content .button:hover, .commerce7-v2 .c7t-banner__content .button:active, .commerce7-v2 .c7t-banner__content .button:focus {
  background-color: var(--lightgreen);
  opacity: 1;
}
.commerce7-v2 .c7t-half a.c7t-half__item {
  text-decoration: none !important;
}
.commerce7-v2 .c7t-half__content .button {
  background: var(--gold);
  border: 1px solid var(--black);
  color: var(--black);
  text-transform: uppercase;
  letter-spacing: 1px;
  box-shadow: 2px 2px 8px rgba(0, 0, 0, 0.5);
}
.commerce7-v2 .c7t-half__content .button:hover, .commerce7-v2 .c7t-half__content .button:active, .commerce7-v2 .c7t-half__content .button:focus {
  background-color: var(--lightgreen);
  opacity: 1;
}
.commerce7-v2 .c7t-half__content .button:hover, .commerce7-v2 .c7t-half__content .button:active, .commerce7-v2 .c7t-half__content .button:focus {
  background-color: var(--lightgreen);
  opacity: 1;
}
.commerce7-v2 .c7t-third__content .button {
  background: var(--gold);
  border: 1px solid var(--black);
  color: var(--black);
  text-transform: uppercase;
  letter-spacing: 1px;
  box-shadow: 2px 2px 8px rgba(0, 0, 0, 0.5);
}
.commerce7-v2 .c7t-third__content .button:hover, .commerce7-v2 .c7t-third__content .button:active, .commerce7-v2 .c7t-third__content .button:focus {
  background-color: var(--lightgreen);
  opacity: 1;
}
.commerce7-v2 .c7t-third__content .button:hover, .commerce7-v2 .c7t-third__content .button:active, .commerce7-v2 .c7t-third__content .button:focus {
  background-color: var(--lightgreen);
  opacity: 1;
}

.c7-subscribe .c7-btn {
  background: var(--gold);
  border: 1px solid var(--black);
  color: var(--black);
  text-transform: uppercase;
  letter-spacing: 1px;
  box-shadow: 2px 2px 8px rgba(0, 0, 0, 0.5);
}
.c7-subscribe .c7-btn:hover, .c7-subscribe .c7-btn:active, .c7-subscribe .c7-btn:focus {
  background-color: var(--lightgreen);
  opacity: 1;
}
.c7-subscribe .c7-btn:hover {
  color: var(--black);
  border: 1px solid var(--black);
}

.blog a {
  text-decoration: none !important;
}

.blog-page__posts {
  order: 2;
}
.blog-page__posts article .post__single-image--no-image img {
  padding: 4rem;
}
@media only screen and (min-width: 640px) {
  .blog-page__posts {
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
  }
}

@media only screen and (min-width: 40.0625em) {
  .blog-page--related h2 {
    padding-left: 0rem;
  }
}

/* Blog Categories */
.blog-page__sidebar {
  order: 1;
  display: inline-flex !important;
  flex-wrap: wrap;
  margin: 20px 0 0;
}
.blog-page__sidebar h2 {
  display: inline-flex;
  vertical-align: middle;
  margin-bottom: 0 !important;
  font-weight: 600;
  margin-right: 20px;
  text-transform: uppercase;
  padding-left: 25px;
  align-self: center;
}
.blog-page__sidebar h2::after {
  content: ":";
}
.blog-page__sidebar .cat-item {
  display: inline-block;
  margin-right: 20px;
  vertical-align: middle;
  font-size: 1.1rem;
}
.blog-page__sidebar .cat-item a {
  text-decoration: none;
}
@media only screen and (min-width: 640px) {
  .blog-page__sidebar {
    width: 100%;
  }
}

.wp-pagenavi {
  order: 3;
}

.blog-page__posts h1 {
  text-align: center;
}
@media only screen and (min-width: 640px) {
  .blog-page__posts h1 {
    flex: 100%;
  }
}
.blog-page__posts article .post__single-content .post__teaser-link span {
  display: none;
}
@media only screen and (min-width: 960px) {
  .blog-page__posts article {
    width: calc(33% - 2rem) !important;
    margin: 0 1rem 2rem !important;
  }
}

@media screen and (max-width: 960px) {
  .archive .blog-page__sidebar {
    padding-left: 0;
  }
}

.blog .post__teaser-link a,
.post__single-content .post__teaser-link a {
  cursor: pointer;
  display: inline-block;
  border: 1px solid var(--black);
  border-radius: var(--c7-button-border-radius);
  font-size: var(--c7-font-size);
  font-weight: 500;
  line-height: 1.5;
  min-height: 46px;
  padding: 11px 20px;
  text-align: center;
  text-decoration: none;
  transition: all 0.1s ease-out;
  outline-width: medium;
  outline-style: none;
  background: var(--c7-primary-button-bg);
  color: var(--c7-primary-button-text-color);
}
.blog .post__teaser-link a:hover, .blog .post__teaser-link a:active, .blog .post__teaser-link a:focus,
.post__single-content .post__teaser-link a:hover,
.post__single-content .post__teaser-link a:active,
.post__single-content .post__teaser-link a:focus {
  background: var(--lightgreen) !important;
  color: #000 !important;
}

.blog-page__posts article .post__single-link-overlay:hover ~ .post__single .post__teaser-link a {
  background: var(--lightgreen) !important;
  color: #000 !important;
}

.blog-page__posts article h2 a {
  text-decoration: none;
}

.prev-next-posts__button a {
  text-decoration: none;
  background: none;
  color: inherit;
}
.prev-next-posts__button a:hover, .prev-next-posts__button a:active, .prev-next-posts__button a:focus {
  background: none;
  color: #000;
  text-decoration: underline;
}

.main-search {
  padding: 0 15px;
  flex: 0 0 100%;
  margin: 0 0 10px;
  overflow: hidden;
}
.main-search form {
  border-radius: 2px;
  padding: 0;
  position: relative;
  box-shadow: 0 0 20px #dfdfdf;
  margin: 20px 0;
}

#searchform input.field {
  width: 100%;
  padding: 10px 120px 10px 15px;
  border: 1px solid #aaa;
}
#searchform input[type=submit] {
  position: absolute;
  right: 0;
  top: 0;
  bottom: 0;
  margin: auto;
  padding: 10px 15px;
  width: 114px !important;
  background: 0;
  background-color: var(--gold);
  border-radius: 0;
  cursor: pointer;
  border: 1px solid var(--black);
  color: #000;
}
#searchform input[type=submit]:hover, #searchform input[type=submit]:focus, #searchform input[type=submit]:active {
  background: var(--c7-primary-button-bg-hover);
  color: #000;
}

.c7t-blog-post-title {
  display: none;
}

.header__navigation__menu .menu-header-container a {
  color: #000;
}
@media only screen and (min-width: 64.0625em) {
  .header__navigation__menu .menu-header-container a {
    color: #000;
  }
}

.footer__payment-options {
  margin: 0 auto;
  text-align: center;
}

@media only screen and (min-width: 1025px) {
  .footer__payment-options {
    position: absolute;
    bottom: 0;
    right: 1rem;
  }
}
.footer__payment-options img {
  margin-left: 10px;
}

.footer__payment-options img:first-child {
  margin-left: 0;
}

.footer__optional-text {
  max-width: 800px;
}
